Styles

Widgets can have different styles of look. More...

## Functions

Eina_Bool | elm_object_style_set (Evas_Object *obj, const char *style)
| Set the style to used by a given widget.
const char * | elm_object_style_get (const Evas_Object *obj)
| Get the style used by the widget.

## Detailed Description

Widgets can have different styles of look.

These generic API's set styles of widgets, if they support them (and if the theme(s) do).

This example contemplates some of these functions.

## Function Documentation

## elm_object_style_set()

Eina_Bool elm_object_style_set | ( | Evas_Object * | obj,
|  | const char * | style )

Set the style to used by a given widget.

Parameters

  obj | The Elementary widget to style
  style | The name of the style to use on it

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise

This sets the style (by name) that will define the appearance of a widget. Styles vary from widget to widget and may also be defined by other themes by means of extensions and overlays.

See also
  elm_theme_extension_add()
  elm_theme_extension_del()
  elm_theme_overlay_add()
  elm_theme_overlay_del()

References EINA_FALSE, and EINA_SAFETY_ON_NULL_RETURN_VAL.

Referenced by elm_color_class_editor_add().

## elm_object_style_get()

const char * elm_object_style_get | ( | const Evas_Object * | obj | ) |

Get the style used by the widget.

This gets the style being used for that widget. Note that the string pointer is only valid as long as the object is valid and the style doesn't change.

Parameters

  obj | The Elementary widget to query for its style

Returns
  The style name used

See also
  elm_object_style_set()

References EINA_SAFETY_ON_NULL_RETURN_VAL.